# Uses of Class
org.snpeff.geneOntology.GoTerm

Packages that use GoTerm
Package
Description
org.snpeff.geneOntology

## Uses of GoTerm in org.snpeff.geneOntology

Methods in org.snpeff.geneOntology that return GoTerm
Modifier and Type
Method
Description
`GoTerm`
GoTerms.`add(GoTerm goTerm)`
Add a GOTerm (if not already in this GOTerms) WARNING: Creates 'fake' symbolNames based on symbolIds.
`GoTerm`
GoTerms.`disjointSet(List<GoTerm> goTermList, int activeSets)`
Produce a GOTerm based on a list of GOTerms and a 'mask'
`GoTerm`
GoTerm.`getFirstChild()`
Return first child in the list
`GoTerm`
GoTerm.`getFirstParent()`
Return first parent in the list
`GoTerm`
GoTerms.`getGoTerm(String goTermAcc)`
`GoTerm`
GoTerm.`rootNode()`
Get the root node
Methods in org.snpeff.geneOntology that return types with arguments of type GoTerm
Modifier and Type
Method
Description
`HashSet<GoTerm>`
GoTerm.`getChilds()`
`HashMap<String,GoTerm>`
GoTerms.`getGoTermsByGoTermAcc()`
`HashMap<String,Set<GoTerm>>`
GoTerms.`getGoTermsBySymbolId()`
`Set<GoTerm>`
GoTerms.`getGoTermsBySymbolId(String symbolId)`
`HashSet<GoTerm>`
GoTerm.`getParents()`
`Iterator<GoTerm>`
GoTerms.`iterator()`
Iterate through each GOterm in this GOTerms
`List<GoTerm>`
GoTerms.`listTopTerms(int numberToSelect)`
Select a number of GOTerms
`Set<GoTerm>`
GoTerms.`rootNodes()`
`Collection<GoTerm>`
GoTerms.`values()`
Methods in org.snpeff.geneOntology with parameters of type GoTerm
Modifier and Type
Method
Description
`GoTerm`
GoTerms.`add(GoTerm goTerm)`
Add a GOTerm (if not already in this GOTerms) WARNING: Creates 'fake' symbolNames based on symbolIds.
`void`
GoTerm.`addChild(GoTerm childGoTerm)`
Add a goTermId as a child of this GOTerm Also adds 'this' as parent of 'goTerm'
`boolean`
GoTerms.`addSymbolId(GoTerm goTerm, String symbolId)`
Add a symbolId (as well as all needed mappings)
`void`
GoTerm.`addSymbolsFromChilds(GoTerm goTerm)`
Add all symbols from childs to goTerm
`int`
GoTerm.`compareTo(GoTerm goTerm)`
`void`
GoTerm.`intersection(GoTerm goTerm)`
Intersects this term with 'goTerm' (intersects 'symbolIdSet' and 'interestingSymbolIdSet').
`void`
GoTerm.`setMinus(GoTerm goTerm)`
Perform a 'set minus' between this term and 'goTerm' (set minus for 'symbolIdSet' and 'interestingSymbolIdSet').
`void`
GoTerm.`union(GoTerm goTerm)`
Union this term with 'goTerm' (union for 'symbolIdSet' and 'interestingSymbolIdSet').
Method parameters in org.snpeff.geneOntology with type arguments of type GoTerm
Modifier and Type
Method
Description
`GoTerm`
GoTerms.`disjointSet(List<GoTerm> goTermList, int activeSets)`
Produce a GOTerm based on a list of GOTerms and a 'mask'
`void`
GoTerm.`setChilds(HashSet<GoTerm> childs)`
`void`
GoTerm.`setParents(HashSet<GoTerm> parents)`
Constructor parameters in org.snpeff.geneOntology with type arguments of type GoTerm
Modifier
Constructor
Description
``
`GoTerm(List<GoTerm> goTermList, GoTerms goTerms)`
Create a new GOTerm by joining all GOTerms in the list